- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Geometry File Reference

`#include <osg/Drawable>`
`#include <osg/Vec2>`
`#include <osg/Vec3>`
`#include <osg/Vec4>`
`#include <osg/Array>`
`#include <osg/PrimitiveSet>`

Include dependency graph for Geometry:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osg
## Classes
class | osg::Geometry
struct | osg::Geometry::ArrayData
struct | osg::Geometry::Vec3ArrayData
## Defines
#define | OSG_GEOMETRY 1
## Functions
SG_EXPORT Geometry * | osg::createTexturedQuadGeometry (const Vec3 &corner, const Vec3 &widthVec, const Vec3 &heightVec, float l, float b, float r, float t)
| Convenience function to be used for creating quad geometry with texture coords.
Geometry * | osg::createTexturedQuadGeometry (const Vec3 &corner, const Vec3 &widthVec, const Vec3 &heightVec, float s=1.0f, float t=1.0f)
| Convenience function to be used for creating quad geometry with texture coords.

## Define Documentation

#define OSG_GEOMETRY 1